**EXTENSION**

# `Libadwaita.FileDialog`

## Properties
### `importer`

An ID for the importer field.

### `folder`

An ID for the folder field.

### `result`

An ID for the result field.

### `cancel`

An ID for the cancel field.

### `isImporter`

Whether the file dialog is an importer.

### `folder`

The selected folder in the file dialog.

### `onResult`

A closure triggered on selecting a file in the dialog.

### `onCancel`

A closure triggered when the dialog is canceled.

## Methods
### `setParentWindow(_:)`

Set the window's parent window.
- Parameter parent: The parent window.

Currently not implemented.

### `show()`

Display the file dialog.
